const _ = require("lodash");
const { parse } = require("scss-parser");

module.exports = () => $ => {
  const pattern = /\\a\s*/; // removes the new line escape character that node-sass renders into multi-line properties
  $()
    .find("string_double")
    .filter(n => {
      return pattern.test(n.node.value);
    })
    .replace(n => {
      return {
        type: "space",
        value: n.node.value.replace(pattern, "|~|~")
      };
    });
};
